VIMDIFF(1)

NOM
vimdiff - ouvre deux, trois ou quatre versions d'un fichier dans Vim et affiche leurs différences

SYNOPSIS
vimdiff [options] fichier1 fichier2 [fichier3 [fichier4]]

gvimdiff

DESCRIPTION
Vimdiff démarre Vim avec deux (ou trois ou quatre) fichiers. Chaque fichier est ouvert dans sa propre fenêtre. Les différences entre ces fichiers sont mises en surbrillance. C'est un outil très pratique pour visualiser et reporter les changements entre deux versions d'un même fichier.

Consulter vim(1) pour des informations sur l'éditeur Vim lui-même.

Si gvimdiff est invoqué, l'IHM graphique est démarrée quand elle est disponible.

L'option 'diff' est activée dans chacune des fenêtres, ce qui provoque la mise en surbrillance des différences.
Les options 'wrap' et 'scrollbind' sont activées pour donner un aspect agréable au texte.
L'option 'foldmethod' est fixée à "diff", ce qui replie les lignes consécutives identiques. 'foldcolumn' est fixé à 2 pour trouver les replis rapidement et les ouvrir ou les fermer facilement.

ARGUMENTS
La fenêtre de Vim est partagée verticalement afin d'afficher les lignes correspondantes les unes en face des autres, comme si l'argument "-O" était spécifié. Utilisez l'argument "-o" pour obtenir un partage horizontal à la place.

Pour connaître les autres arguments disponibles, consultez vim(1).

VOIR AUSSI
vim(1)

AUTEUR
La majeure partie de Vim a été écrite par Bram Moolenaar, avec l'aide de nombreux autres contributeurs. Voir ":help credits" dans Vim.

TRADUCTION
Cette page de manuel a été traduite par David Blanchet <david.blanchet@free.fr> 2005-03-12. Mise à jour 2012-05-06, Dominique Pellé <dominique.pelle@gmail.com>